[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImageListCache' (#lcl)

# TImageListCache.Rebuild

Rebuilds the cache storage.

## Declaration

Source position: imagelistcache.pas line 77

`public procedure TImageListCache.Rebuild;`

## Description

Removes unused image lists in the cache where the cache listener is no longer registered. Deletes any cached images no longer needed for a given cached image list. Notifies listeners of changes to cached image indexes.